#
# spec file for package environment-modules (Version 3.1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcl tcl-devel xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl tcl-devel texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         environment-modules
Version:      3.1.1
Release:      124
Summary:      Provides dynamic modification of a user's environment via modulefiles.
Copyright:	GPL
Group:          Applications/Clustering
Requires:	tcl 
Autoreqprov: on
Source:  modules-%{version}.tar.bz2
Patch:   modules-%{version}.dif
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
The Modules package provides for the dynamic modification of a user's environment via modulefiles.  Each modulefile contains the information needed to configure the shell for an application. Once the Modules package is initialized, the environment can be modified on a per-module basis using the module command which interprets modulefiles. Typically modulefiles instruct the module command to alter or set shell environment variables such as PATH, MANPATH, etc. modulefiles may be shared by many users on a system and users may have their own collection to supplement or replace the shared modulefiles.
The modules environment is common on SGI/Crays and many workstation farms.

Authors:
--------
    John Furlan <jlf@behere.com>

SuSE series: ap

%prep
%setup -q -n modules-%{version}
%patch

%build
./configure --prefix=/usr --with-tcl-include=/usr/include --with-tcl-libraries=/usr/lib/tcl8.3 --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/modules
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc xref/* ChangeLog LICENSE.GPL PROBLEMS README  TODO doc/Modules-Paper.doc 
/usr/bin/*
/usr/share/modules
%{_mandir}/man4/*
%{_mandir}/man1/*

%changelog -n environment-modules
* Wed Jun 06 2001 - nashif@suse.de
- Fixed configure.in
* Mon Feb 19 2001 - nashif@suse.de
- Initial Release (Version 3.1.1)
